Package: geos
Version: 2.2.3-4
Usertags: ftbfs-gcc-4.3

Your package fails to build with GCC 4.3.  Version 4.3 has not been
released yet but I'm building with a snapshot in order to find errors
and give people an advance warning.  GCC 4.3 has converted a number
of warnings into errors.  With GCC 4.3, you're no longer to
just redefine a previous #define.  You need to either avoid
redefinitions directly or to use #ifndef to make sure that something
has not been defined already.  See

You can reproduce this problem with gcc-snapshot from unstable.  Note
that Red Hat, Novell and Ubuntu have done some work getting packages
to build with GCC 4.3 so there might be patches floating around
somewhere.  I suggest you talk to your upstream.

> Automatic build of geos_2.2.3-4 on em64t by sbuild/amd64 0.53
>  x86_64-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../source/headers 
> -I../../source/headers/geos -I../../source/headers -DGEOS_VERSION=2.2.3 -g 
> -O2 -MT Geometry.lo -MD -MP -MF .deps/Geometry.Tpo -c Geometry.cpp  -fPIC 
> -DPIC -o .libs/Geometry.o
> In file included from Geometry.cpp:29:
> ../../source/headers/geos/version.h:9:1: error: "GEOS_VERSION" redefined
> <command-line>: error: this is the location of the previous definition
> make[3]: *** [Geometry.lo] Error 1
> make[3]: Leaving directory `/build/tbm/geos-2.2.3/source/geom'
> make[2]: *** [all-recursive] Error 1
> make[2]: Leaving directory `/build/tbm/geos-2.2.3/source'

Martin Michlmayr

Pkg-grass-devel mailing list

Reply via email to